OpenVDB 5.1.0

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
PagedArray< ValueT, Log2PageSize, TableT >::Page Class Reference

`#include <PagedArray.h>`

## Public Member Functions
| Page ()
| ~Page ()
| Page (const Page &)=delete
Page & | operator= (const Page &)=delete
ValueT & | operator[] (const size_t i)
const ValueT & | operator[] (const size_t i) const
void | fill (const ValueT &v)
ValueT * | data ()
void | copy (ValueType *dst, size_t n) const

## Static Public Member Functions
static size_t | memUsage ()

## Static Public Attributes
static const size_t | Size = 1UL << Log2PageSize
static const size_t | Mask = Size - 1UL

## Protected Attributes
ValueT * | mData

## Constructor & Destructor Documentation

## ◆ Page() [1/2]

Page | ( |  | ) |
| inline

## ◆ ~Page()

~Page | ( |  | ) |
| inline

## ◆ Page() [2/2]

Page | ( | const Page & |  | ) |
| delete

## Member Function Documentation

## ◆ copy()

void copy | ( | ValueType * | dst,
|  | size_t | n
| ) |  | const
| inline

## ◆ data()

ValueT* data | ( |  | ) |
| inline

## ◆ fill()

void fill | ( | const ValueT & | v | ) |
| inline

## ◆ memUsage()

static size_t memUsage | ( |  | ) |
| inline static

## ◆ operator=()

Page& operator= | ( | const Page & |  | ) |
| delete

## ◆ operator[]() [1/2]

ValueT& operator[] | ( | const size_t | i | ) |
| inline

## ◆ operator[]() [2/2]

const ValueT& operator[] | ( | const size_t | i | ) | const
| inline

## Member Data Documentation

## ◆ Mask

const size_t Mask = Size - 1UL
| static

## ◆ mData

ValueT* mData
| protected

## ◆ Size

const size_t Size = 1UL << Log2PageSize
| static

The documentation for this class was generated from the following file:

- PagedArray.h